Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionTitleBar Class Reference

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar. More...

    #include <QStyleOptionTitleBar>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Read-Only Properties

- icon : QPixmap
- text : QString
- titleBarFlags : Qt::WFlags
- titleBarState : int

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionTitleBar ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar.

The QStyleOptionTitleBar class is used to draw the title bars of QWorkspace's MDI children.

## Property Documentation

### icon : QPixmap

This property holds the icon for the title bar.

### text : QString

This property holds the text of the title bar.

### titleBarFlags : Qt::WFlags

This property holds the widget flags for the title bar.

See also Qt::WFlags.

### titleBarState : int

This property holds the state of the title bar.

This is basically the window state of the underlying widget.

See also QWidget::windowState().

## Member Function Documentation

### QStyleOptionTitleBar::QStyleOptionTitleBar ()

Constructs a QStyleOptionTitleBar. The members variables are initialized to default values.